
cat("Creating initial parents...\n")
# Simulate ancestral genomes
FOUNDERPOP = runMacs(nInd = nParents,
                     nChr = nChr,
                     segSites = nQtl + nSnp,
                     inbred = TRUE,
                     species = "WHEAT")
# Setup simulation
SP = SimParam$new(founderPop = FOUNDERPOP)
if (nSnp > 0) {
  SP$addSnpChip(nSnpPerChr = 1000)
}

# create a trait with additive, dominance and epistatic (additive-by-additive) genetic effects
SP$addTraitADE(nQtlPerChr = nQtl, mean = initMeanG, var = initVarG,
               varDD = initVarD, relAA = relativeAA)

Parents = newPop(rawPop = FOUNDERPOP)
Parents = setPheno(pop = Parents, varE = varE, reps = repEYT * 2)
rm(FOUNDERPOP)

