
rm(list = ls())
gc()

### burn-in part

library(package = "AlphaSimR")

vars = function(pop) {
  VarA  = varA(pop = pop)
  VarD  = varD(pop = pop)
  VarAA = varAA(pop = pop)
  GenicVarA  = genicVarA(pop = pop)
  GenicVarD  = genicVarD(pop = pop)
  GenicVarAA = genicVarAA(pop = pop)
  c(VarA = VarA, VarD = VarD, VarAA = VarAA,
    GenicVarA = GenicVarA, GenicVarD = GenicVarD, GenicVarAA = GenicVarAA)
}

source("help_functions.R") # load help functions


source(file = "GlobalParameters.R")
source(file = "CreateParentsADE.R")
source(file = "FillPipeline.R")

# cat("Parents:\n"); print(vars(pop = Parents))
# cat("F1:\n");      print(vars(pop = F1))
# cat("F2:\n");      print(vars(pop = F2))
# cat("F3:\n");      print(vars(pop = F3))
# # cat("DH:\n");      print(vars(pop = DH))
# cat("HDRW:\n");    print(vars(pop = HDRW))
# cat("PYT:\n");     print(vars(pop = PYT))
# cat("AYT:\n");     print(vars(pop = AYT))
# cat("EYT:\n");     print(vars(pop = EYT1))



cat("Cycling years...\n")
use = "pheno"
useAytFromPyt = "pheno"
useEytFromAyt = "pheno"

for (year in 1:nYearsBurnIn) {
  cat("Year:", year, "of", nYearsBurnIn, "[")
  source(file = "UpdateParents.R")
  source(file = "AdvanceYearConv.R")
  cat("]\n")
}


# cat("Parents:\n"); print(vars(pop = Parents))
# cat("F1:\n");      print(vars(pop = F1))
# cat("F2:\n");      print(vars(pop = F2))
# cat("F3:\n");      print(vars(pop = F3))
# # cat("DH:\n");      print(vars(pop = DH))
# cat("HDRW:\n");    print(vars(pop = HDRW))
# cat("PYT:\n");     print(vars(pop = PYT))
# cat("AYT:\n");     print(vars(pop = AYT))
# cat("EYT:\n");     print(vars(pop = EYT1))


AYT_list <- list()

# AYT-object for each year
for (year in (nYearsBurnIn + 1):(nYearsBurnIn + nYears)){
  
  cat("Year:", year, "of", nYearsBurnIn, "[")
  source(file = "UpdateParents.R")
  source(file = "AdvanceYearConv.R")
  
  AYT_list[[year - nYearsBurnIn]] <- list(AYT = AYT, mats = handle_genomic_data(AYT), gen_vals = genParam(AYT), year = year)
  
  cat(".]\n")
  
}

# save AYT_list



