


source("necessary_functions.R")

library(rstan)
library(nloptr)
library(ggplot2)
library(reshape2)

stan_mod1 <- stan_model(file = "stan_models/wheat.stan", auto_write = TRUE)
stan_mod2 <- stan_model(file = "stan_models/wheat_ad.stan", auto_write = TRUE)
stan_mod3 <- stan_model(file = "stan_models/wheat_simple.stan", auto_write = TRUE)

df <- data.frame(
  Model = c(
    "A-comp",
    "A-comp*",
    "A-tree",
    "A-tree*",
    "A-ML",
    "AD-comp",
    "AD-comp*",
    "AD-tree",
    "AD-tree*",
    "AD-ML",
    "ADX-comp",
    "ADX-comp*",
    "ADX-tree",
    "ADX-tree*",
    "ADX-tree-opp",
    "ADX-ML",
    "Phenotype selection"
  ),
  Number = 1:17
)

result <- fit_model(3, no_of_samps = "high", use_likelihood = 1)

plot_variance_proportions(result)
find_ranking(result)



